> For the complete documentation index, see [llms.txt](https://docs.fulfillmenttools.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fulfillmenttools.com/documentation/getting-started/tags/tag-configurations-endpoints.md).

# Tag configurations endpoints

## Update order tag configuration

> Update the order tag configuration.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"DOMS endpoints to define and manage configuration settings related to order processing, such as defaults, business rules, and operational parameters that influence how orders are handled.","name":"Orders Configuration (DOMS)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"OrderTagConfiguration":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"},{"$ref":"#/components/schemas/TagConfiguration"}],"properties":{"stickerConfiguration":{"$ref":"#/components/schemas/StickerConfiguration"}},"title":"OrderTagConfiguration","description":"OrderTagConfiguration"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"TagConfiguration":{"properties":{"offeredDocumentsByDefault":{"description":"This configuration is a fallback and applies only if none of the entries in offeredDocumentsPerTag can be applied","items":{"$ref":"#/components/schemas/OfferedDocument"},"maxItems":500,"type":"array"},"offeredDocumentsPerTag":{"description":"All entries with a match in their matchingValues will be combined when determining what documents belong to an entity","items":{"$ref":"#/components/schemas/OfferedDocumentPerTag"},"maxItems":500,"type":"array"}},"required":["offeredDocumentsPerTag","offeredDocumentsByDefault"],"title":"TagConfiguration","description":"TagConfiguration"},"OfferedDocument":{"properties":{"documentCategory":{"$ref":"#/components/schemas/DocumentCategory"}},"required":["documentCategory"],"type":"object","title":"OfferedDocument","description":"OfferedDocument"},"DocumentCategory":{"enum":["EXTERNAL","DELIVERYNOTE","RETURNNOTE","SENDLABEL","RETURNLABEL","TRANSFERLABEL","CUSTOMS"],"type":"string","title":"DocumentCategory","description":"DocumentCategory"},"OfferedDocumentPerTag":{"properties":{"matchingValues":{"items":{"minItems":1,"type":"string"},"maxItems":500,"type":"array"},"offeredDocuments":{"items":{"$ref":"#/components/schemas/OfferedDocument"},"maxItems":500,"type":"array"},"tagRef":{"type":"string"}},"required":["offeredDocuments","matchingValues","tagRef"],"type":"object","title":"OfferedDocumentPerTag","description":"OfferedDocumentPerTag"},"StickerConfiguration":{"additionalProperties":false,"properties":{"offeredStickersByTag":{"items":{"$ref":"#/components/schemas/OfferedStickersByTag"},"maxItems":500,"type":"array"}},"title":"StickerConfiguration","description":"StickerConfiguration"},"OfferedStickersByTag":{"additionalProperties":false,"properties":{"matchingValues":{"items":{"type":"string"},"maxItems":500,"minItems":1,"type":"array"},"stickers":{"items":{"$ref":"#/components/schemas/Sticker"},"maxItems":500,"minItems":1,"type":"array"},"tagRef":{"type":"string"}},"required":["tagRef","matchingValues","stickers"],"type":"object","title":"OfferedStickersByTag","description":"OfferedStickersByTag"},"Sticker":{"additionalProperties":false,"properties":{"nameLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"Dictionary of possible translations, min 1 entry, max 14 characters per description"},"color":{"description":"optional color coding for the sticker","type":"string"},"key":{"description":"unique identifier","type":"string"},"name":{"description":"Translated display name","type":"string"},"priority":{"description":"priority of the given sticker","format":"int64","maximum":10000,"minimum":1,"type":"integer"}},"required":["key","nameLocalized","priority"],"title":"Sticker","description":"Sticker"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/getting-started/authentication-and-authorization/localization","title":"LocaleString","type":"object"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/tags/order":{"put":{"description":"Update the order tag configuration.","operationId":"putOrderTagConfigurations","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderTagConfiguration"}}},"description":"Desired Tag Configuration for orders","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderTagConfiguration"}}},"description":"The order tag configuration was successfully updated."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Invalid input. See response for details"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Update order tag configuration","tags":["Orders Configuration (DOMS)"]}}}}
```

## Get order tag configuration

> Get the order tag configuration.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"DOMS endpoints to define and manage configuration settings related to order processing, such as defaults, business rules, and operational parameters that influence how orders are handled.","name":"Orders Configuration (DOMS)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"OrderTagConfiguration":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"},{"$ref":"#/components/schemas/TagConfiguration"}],"properties":{"stickerConfiguration":{"$ref":"#/components/schemas/StickerConfiguration"}},"title":"OrderTagConfiguration","description":"OrderTagConfiguration"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"TagConfiguration":{"properties":{"offeredDocumentsByDefault":{"description":"This configuration is a fallback and applies only if none of the entries in offeredDocumentsPerTag can be applied","items":{"$ref":"#/components/schemas/OfferedDocument"},"maxItems":500,"type":"array"},"offeredDocumentsPerTag":{"description":"All entries with a match in their matchingValues will be combined when determining what documents belong to an entity","items":{"$ref":"#/components/schemas/OfferedDocumentPerTag"},"maxItems":500,"type":"array"}},"required":["offeredDocumentsPerTag","offeredDocumentsByDefault"],"title":"TagConfiguration","description":"TagConfiguration"},"OfferedDocument":{"properties":{"documentCategory":{"$ref":"#/components/schemas/DocumentCategory"}},"required":["documentCategory"],"type":"object","title":"OfferedDocument","description":"OfferedDocument"},"DocumentCategory":{"enum":["EXTERNAL","DELIVERYNOTE","RETURNNOTE","SENDLABEL","RETURNLABEL","TRANSFERLABEL","CUSTOMS"],"type":"string","title":"DocumentCategory","description":"DocumentCategory"},"OfferedDocumentPerTag":{"properties":{"matchingValues":{"items":{"minItems":1,"type":"string"},"maxItems":500,"type":"array"},"offeredDocuments":{"items":{"$ref":"#/components/schemas/OfferedDocument"},"maxItems":500,"type":"array"},"tagRef":{"type":"string"}},"required":["offeredDocuments","matchingValues","tagRef"],"type":"object","title":"OfferedDocumentPerTag","description":"OfferedDocumentPerTag"},"StickerConfiguration":{"additionalProperties":false,"properties":{"offeredStickersByTag":{"items":{"$ref":"#/components/schemas/OfferedStickersByTag"},"maxItems":500,"type":"array"}},"title":"StickerConfiguration","description":"StickerConfiguration"},"OfferedStickersByTag":{"additionalProperties":false,"properties":{"matchingValues":{"items":{"type":"string"},"maxItems":500,"minItems":1,"type":"array"},"stickers":{"items":{"$ref":"#/components/schemas/Sticker"},"maxItems":500,"minItems":1,"type":"array"},"tagRef":{"type":"string"}},"required":["tagRef","matchingValues","stickers"],"type":"object","title":"OfferedStickersByTag","description":"OfferedStickersByTag"},"Sticker":{"additionalProperties":false,"properties":{"nameLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"Dictionary of possible translations, min 1 entry, max 14 characters per description"},"color":{"description":"optional color coding for the sticker","type":"string"},"key":{"description":"unique identifier","type":"string"},"name":{"description":"Translated display name","type":"string"},"priority":{"description":"priority of the given sticker","format":"int64","maximum":10000,"minimum":1,"type":"integer"}},"required":["key","nameLocalized","priority"],"title":"Sticker","description":"Sticker"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/getting-started/authentication-and-authorization/localization","title":"LocaleString","type":"object"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/tags/order":{"get":{"description":"Get the order tag configuration.","operationId":"getOrderTagConfiguration","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderTagConfiguration"}}},"description":"order tag config is in response body."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Entity not found"}},"summary":"Get order tag configuration","tags":["Orders Configuration (DOMS)"]}}}}
```

## PUT /api/configurations/tags/pickjob

> Update pick job tag config

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read pick jobs.","name":"Picking Configuration (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"PickJobTagConfiguration":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"lineItemScanningConfiguration":{"$ref":"#/components/schemas/TagScanningConfiguration"},"lineItemStickerConfiguration":{"$ref":"#/components/schemas/StickerConfiguration"},"offeredDocumentsByDefault":{"description":"This configuration is a fallback and applies only if none of the entries in offeredDocumentsPerTag can be applied","items":{"$ref":"#/components/schemas/OfferedDocument"},"type":"array"},"offeredDocumentsPerTag":{"description":"All entries with a match in their matchingValues will be combined when determining what documents belong to an entity","items":{"$ref":"#/components/schemas/OfferedDocumentPerTag"},"type":"array"},"preferredPickingMethodsConfiguration":{"$ref":"#/components/schemas/PreferredPickingMethodsConfiguration"},"stickerConfiguration":{"$ref":"#/components/schemas/StickerConfiguration"}},"required":["offeredDocumentsPerTag","offeredDocumentsByDefault"],"title":"PickJobTagConfiguration","description":"PickJobTagConfiguration"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"TagScanningConfiguration":{"additionalProperties":false,"properties":{"offeredScanningRuleByTag":{"items":{"$ref":"#/components/schemas/OfferedScanningRuleByTag"},"type":"array"}},"title":"TagScanningConfiguration","description":"TagScanningConfiguration"},"OfferedScanningRuleByTag":{"additionalProperties":false,"properties":{"matchingValues":{"items":{"type":"string"},"minItems":1,"type":"array"},"scanningType":{"$ref":"#/components/schemas/PickingScanningConfigurationEnum"},"tagRef":{"minLength":1,"type":"string"}},"required":["tagRef","matchingValues","scanningType"],"type":"object","title":"OfferedScanningRuleByTag","description":"OfferedScanningRuleByTag"},"PickingScanningConfigurationEnum":{"description":"Way in which the scanning of articles during picking is enforced","enum":["MUST_SCAN_FIRST","MUST_SCAN_EACH","SCAN_NOT_REQUIRED"],"type":"string","title":"PickingScanningConfigurationEnum"},"StickerConfiguration":{"additionalProperties":false,"properties":{"offeredStickersByTag":{"items":{"$ref":"#/components/schemas/OfferedStickersByTag"},"maxItems":500,"type":"array"}},"title":"StickerConfiguration","description":"StickerConfiguration"},"OfferedStickersByTag":{"additionalProperties":false,"properties":{"matchingValues":{"items":{"type":"string"},"maxItems":500,"minItems":1,"type":"array"},"stickers":{"items":{"$ref":"#/components/schemas/Sticker"},"maxItems":500,"minItems":1,"type":"array"},"tagRef":{"type":"string"}},"required":["tagRef","matchingValues","stickers"],"type":"object","title":"OfferedStickersByTag","description":"OfferedStickersByTag"},"Sticker":{"additionalProperties":false,"properties":{"nameLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"Dictionary of possible translations, min 1 entry, max 14 characters per description"},"color":{"description":"optional color coding for the sticker","type":"string"},"key":{"description":"unique identifier","type":"string"},"name":{"description":"Translated display name","type":"string"},"priority":{"description":"priority of the given sticker","format":"int64","maximum":10000,"minimum":1,"type":"integer"}},"required":["key","nameLocalized","priority"],"title":"Sticker","description":"Sticker"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/getting-started/authentication-and-authorization/localization","title":"LocaleString","type":"object"},"OfferedDocument":{"properties":{"documentCategory":{"$ref":"#/components/schemas/DocumentCategory"}},"required":["documentCategory"],"type":"object","title":"OfferedDocument","description":"OfferedDocument"},"DocumentCategory":{"enum":["EXTERNAL","DELIVERYNOTE","RETURNNOTE","SENDLABEL","RETURNLABEL","TRANSFERLABEL","CUSTOMS"],"type":"string","title":"DocumentCategory","description":"DocumentCategory"},"OfferedDocumentPerTag":{"properties":{"matchingValues":{"items":{"minItems":1,"type":"string"},"maxItems":500,"type":"array"},"offeredDocuments":{"items":{"$ref":"#/components/schemas/OfferedDocument"},"maxItems":500,"type":"array"},"tagRef":{"type":"string"}},"required":["offeredDocuments","matchingValues","tagRef"],"type":"object","title":"OfferedDocumentPerTag","description":"OfferedDocumentPerTag"},"PreferredPickingMethodsConfiguration":{"properties":{"PreferredPickingMethodsPerTag":{"items":{"$ref":"#/components/schemas/PreferredPickingMethodsPerTag"},"type":"array"}},"title":"PreferredPickingMethodsConfiguration","description":"PreferredPickingMethodsConfiguration"},"PreferredPickingMethodsPerTag":{"additionalProperties":false,"properties":{"matchingValues":{"items":{"type":"string"},"minItems":1,"type":"array"},"pickingMethods":{"items":{"$ref":"#/components/schemas/PickingMethodEnum"},"minItems":1,"type":"array"},"tagRef":{"type":"string"}},"required":["tagRef","pickingMethods","matchingValues"],"title":"PreferredPickingMethodsPerTag","description":"PreferredPickingMethodsPerTag"},"PickingMethodEnum":{"description":"Way in which the picking should be handled Deprecated: BATCH_PICKING, use BATCH instead","enum":["SINGLE_ORDER","MULTI_ORDER","BATCH_PICKING","BATCH"],"type":"string","title":"PickingMethodEnum"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/tags/pickjob":{"put":{"description":"","operationId":"putPickJobTagConfigurations","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PickJobTagConfiguration"}}},"description":"Desired Tag Configuration for Pickjobs","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PickJobTagConfiguration"}}},"description":"The packing configuration was successfully updated."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Invalid input. See response for details"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Update pick job tag config","tags":["Picking Configuration (Operations)"]}}}}
```

## PUT /api/configurations/tags/handoverjob

> Update handover jobs tag config

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read handover configuration.","name":"Handovers Configuration (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"HandoverJobTagConfiguration":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"},{"$ref":"#/components/schemas/TagConfiguration"}],"properties":{"stickerConfiguration":{"$ref":"#/components/schemas/StickerConfiguration"}},"title":"HandoverJobTagConfiguration","description":"HandoverJobTagConfiguration"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"TagConfiguration":{"properties":{"offeredDocumentsByDefault":{"description":"This configuration is a fallback and applies only if none of the entries in offeredDocumentsPerTag can be applied","items":{"$ref":"#/components/schemas/OfferedDocument"},"maxItems":500,"type":"array"},"offeredDocumentsPerTag":{"description":"All entries with a match in their matchingValues will be combined when determining what documents belong to an entity","items":{"$ref":"#/components/schemas/OfferedDocumentPerTag"},"maxItems":500,"type":"array"}},"required":["offeredDocumentsPerTag","offeredDocumentsByDefault"],"title":"TagConfiguration","description":"TagConfiguration"},"OfferedDocument":{"properties":{"documentCategory":{"$ref":"#/components/schemas/DocumentCategory"}},"required":["documentCategory"],"type":"object","title":"OfferedDocument","description":"OfferedDocument"},"DocumentCategory":{"enum":["EXTERNAL","DELIVERYNOTE","RETURNNOTE","SENDLABEL","RETURNLABEL","TRANSFERLABEL","CUSTOMS"],"type":"string","title":"DocumentCategory","description":"DocumentCategory"},"OfferedDocumentPerTag":{"properties":{"matchingValues":{"items":{"minItems":1,"type":"string"},"maxItems":500,"type":"array"},"offeredDocuments":{"items":{"$ref":"#/components/schemas/OfferedDocument"},"maxItems":500,"type":"array"},"tagRef":{"type":"string"}},"required":["offeredDocuments","matchingValues","tagRef"],"type":"object","title":"OfferedDocumentPerTag","description":"OfferedDocumentPerTag"},"StickerConfiguration":{"additionalProperties":false,"properties":{"offeredStickersByTag":{"items":{"$ref":"#/components/schemas/OfferedStickersByTag"},"maxItems":500,"type":"array"}},"title":"StickerConfiguration","description":"StickerConfiguration"},"OfferedStickersByTag":{"additionalProperties":false,"properties":{"matchingValues":{"items":{"type":"string"},"maxItems":500,"minItems":1,"type":"array"},"stickers":{"items":{"$ref":"#/components/schemas/Sticker"},"maxItems":500,"minItems":1,"type":"array"},"tagRef":{"type":"string"}},"required":["tagRef","matchingValues","stickers"],"type":"object","title":"OfferedStickersByTag","description":"OfferedStickersByTag"},"Sticker":{"additionalProperties":false,"properties":{"nameLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"Dictionary of possible translations, min 1 entry, max 14 characters per description"},"color":{"description":"optional color coding for the sticker","type":"string"},"key":{"description":"unique identifier","type":"string"},"name":{"description":"Translated display name","type":"string"},"priority":{"description":"priority of the given sticker","format":"int64","maximum":10000,"minimum":1,"type":"integer"}},"required":["key","nameLocalized","priority"],"title":"Sticker","description":"Sticker"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/getting-started/authentication-and-authorization/localization","title":"LocaleString","type":"object"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/tags/handoverjob":{"put":{"description":"","operationId":"putHandoverTagConfigurations","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HandoverJobTagConfiguration"}}},"description":"Desired Tag Configuration for HandoverJobs","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HandoverJobTagConfiguration"}}},"description":"The handoverjob tag configuration was successfully updated."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Invalid input. See response for details"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Update handover jobs tag config","tags":["Handovers Configuration (Operations)"]}}}}
```

## Get parcel tag config

> This part of the API is in Beta status. For details, see the \<a href="<https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview>" target="\_blank">API release lifecycle documentation\</a>.\<br />\<br />Returns the tag configuration for parcels

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read shipping configuration.","name":"Shipments Configuration (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ParcelTagConfiguration":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"},{"$ref":"#/components/schemas/TagConfiguration"}],"properties":{"alternativeReturnAddressConfiguration":{"$ref":"#/components/schemas/AlternativeReturnAddressConfiguration"}},"required":["alternativeReturnAddressConfiguration"],"title":"ParcelTagConfiguration","description":"ParcelTagConfiguration"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"TagConfiguration":{"properties":{"offeredDocumentsByDefault":{"description":"This configuration is a fallback and applies only if none of the entries in offeredDocumentsPerTag can be applied","items":{"$ref":"#/components/schemas/OfferedDocument"},"maxItems":500,"type":"array"},"offeredDocumentsPerTag":{"description":"All entries with a match in their matchingValues will be combined when determining what documents belong to an entity","items":{"$ref":"#/components/schemas/OfferedDocumentPerTag"},"maxItems":500,"type":"array"}},"required":["offeredDocumentsPerTag","offeredDocumentsByDefault"],"title":"TagConfiguration","description":"TagConfiguration"},"OfferedDocument":{"properties":{"documentCategory":{"$ref":"#/components/schemas/DocumentCategory"}},"required":["documentCategory"],"type":"object","title":"OfferedDocument","description":"OfferedDocument"},"DocumentCategory":{"enum":["EXTERNAL","DELIVERYNOTE","RETURNNOTE","SENDLABEL","RETURNLABEL","TRANSFERLABEL","CUSTOMS"],"type":"string","title":"DocumentCategory","description":"DocumentCategory"},"OfferedDocumentPerTag":{"properties":{"matchingValues":{"items":{"minItems":1,"type":"string"},"maxItems":500,"type":"array"},"offeredDocuments":{"items":{"$ref":"#/components/schemas/OfferedDocument"},"maxItems":500,"type":"array"},"tagRef":{"type":"string"}},"required":["offeredDocuments","matchingValues","tagRef"],"type":"object","title":"OfferedDocumentPerTag","description":"OfferedDocumentPerTag"},"AlternativeReturnAddressConfiguration":{"additionalProperties":false,"properties":{"alternativeReturnAddressPerTag":{"items":{"$ref":"#/components/schemas/AlternativeReturnAddressPerTag"},"minItems":0,"type":"array"}},"required":["alternativeReturnAddressPerTag"],"title":"AlternativeReturnAddressConfiguration","description":"AlternativeReturnAddressConfiguration"},"AlternativeReturnAddressPerTag":{"additionalProperties":false,"properties":{"alternativeReturnAddress":{"$ref":"#/components/schemas/FacilityAddress"},"matchingValues":{"items":{"type":"string"},"minItems":1,"type":"array"},"tagRef":{"description":"needs to be an existing tag id","type":"string"}},"required":["tagRef","matchingValues","alternativeReturnAddress"],"title":"AlternativeReturnAddressPerTag","description":"AlternativeReturnAddressPerTag"},"FacilityAddress":{"allOf":[{"$ref":"#/components/schemas/FacilityAddressForCreation"},{"properties":{"resolvedTimeZone":{"$ref":"#/components/schemas/TimeZone"}},"type":"object"}],"type":"object","xml":{"name":"FacilityAddress"},"title":"FacilityAddress","description":"FacilityAddress"},"FacilityAddressForCreation":{"allOf":[{"$ref":"#/components/schemas/Address"},{"properties":{"companyName":{"type":"string"},"emailAddresses":{"items":{"properties":{"recipient":{"description":"Human readable information who is the recipient for emails sent to this address.","type":"string"},"value":{"type":"string"}},"required":["value"],"type":"object"},"maxItems":10,"type":"array"},"resolvedCoordinates":{"$ref":"#/components/schemas/Coordinates"},"resolvedTimeZone":{"allOf":[{"$ref":"#/components/schemas/TimeZoneForCreation"}],"description":"User-specified time zone in identifier format (e.g., \"America/Los_Angeles\"). Used to determine local time. Relevant only if the country spans multiple time zones; otherwise, the time zone is automatically determined from the country or via Google if unspecified."}},"required":["companyName"],"type":"object"}],"type":"object","xml":{"name":"FacilityAddressForCreation"},"title":"FacilityAddressForCreation","description":"FacilityAddressForCreation"},"Address":{"properties":{"additionalAddressInfo":{"type":"string"},"city":{"pattern":"^.+$","type":"string"},"country":{"description":"A two-digit country code as per ISO 3166-1 alpha-2","pattern":"^[A-Z]{2}$","type":"string"},"customAttributes":{"description":"Attributes that can be added to the address. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"houseNumber":{"pattern":"^.+$","type":"string"},"phoneNumbers":{"items":{"properties":{"customAttributes":{"description":"Attributes that can be added to the phonenumber. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"label":{"description":"Can be used to give a description for the number, like \"private\", \"business number\", etc.","type":"string"},"type":{"enum":["MOBILE","PHONE"],"type":"string"},"value":{"description":"The number itself. We do not enforce any format (yet).","type":"string"}},"required":["value","type"],"type":"object"},"maxItems":500,"type":"array"},"postalCode":{"pattern":"^.+$","type":"string"},"province":{"pattern":"^.+$","type":"string"},"street":{"pattern":"^.+$","type":"string"}},"required":["street","city","postalCode","country"],"type":"object","title":"Address","description":"Address"},"Coordinates":{"description":"Coordinates of the WGS84 geodetic reference system in Mercator projection, as used e.g. by the Google Maps API","properties":{"lat":{"description":"Latitude value","type":"number"},"lon":{"description":"Longitude value","type":"number"}},"required":["lat","lon"],"type":"object","title":"Coordinates"},"TimeZoneForCreation":{"description":"Self-provided timezone for determining the local time of a facility","properties":{"timeZoneId":{"description":"official id of the timezone","type":"string"}},"required":["timeZoneId"],"type":"object","title":"TimeZoneForCreation"},"TimeZone":{"description":"Timezone for information retrieved e.g. by the Google Maps API","properties":{"offsetInSeconds":{"description":"offset in seconds to standard time. Does not account for daylight saving time.","type":"number"},"source":{"description":"source of the timezone information","type":"string"},"timeZoneId":{"description":"official id of the timezone","type":"string"},"timeZoneName":{"description":"descriptive name of the timezone","type":"string"}},"required":["timeZoneId","timeZoneName","offsetInSeconds"],"type":"object","title":"TimeZone"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/tags/parcel":{"get":{"description":"This part of the API is in Beta status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />Returns the tag configuration for parcels","operationId":"getParcelTagConfiguration","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ParcelTagConfiguration"}}},"description":"tag config is in response body."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Entity not found"}},"summary":"Get parcel tag config","tags":["Shipments Configuration (Operations)"]}}}}
```

## Update parcel tag config

> This part of the API is in Beta status. For details, see the \<a href="<https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview>" target="\_blank">API release lifecycle documentation\</a>.\<br />\<br />Updates the tag configuration for parcels.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read shipping configuration.","name":"Shipments Configuration (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ParcelTagConfigurationForUpsert":{"allOf":[{"$ref":"#/components/schemas/TagConfiguration"}],"properties":{"alternativeReturnAddressConfiguration":{"$ref":"#/components/schemas/AlternativeReturnAddressConfiguration"},"version":{"type":"number"}},"required":["alternativeReturnAddressConfiguration"],"title":"ParcelTagConfigurationForUpsert","description":"ParcelTagConfigurationForUpsert"},"TagConfiguration":{"properties":{"offeredDocumentsByDefault":{"description":"This configuration is a fallback and applies only if none of the entries in offeredDocumentsPerTag can be applied","items":{"$ref":"#/components/schemas/OfferedDocument"},"maxItems":500,"type":"array"},"offeredDocumentsPerTag":{"description":"All entries with a match in their matchingValues will be combined when determining what documents belong to an entity","items":{"$ref":"#/components/schemas/OfferedDocumentPerTag"},"maxItems":500,"type":"array"}},"required":["offeredDocumentsPerTag","offeredDocumentsByDefault"],"title":"TagConfiguration","description":"TagConfiguration"},"OfferedDocument":{"properties":{"documentCategory":{"$ref":"#/components/schemas/DocumentCategory"}},"required":["documentCategory"],"type":"object","title":"OfferedDocument","description":"OfferedDocument"},"DocumentCategory":{"enum":["EXTERNAL","DELIVERYNOTE","RETURNNOTE","SENDLABEL","RETURNLABEL","TRANSFERLABEL","CUSTOMS"],"type":"string","title":"DocumentCategory","description":"DocumentCategory"},"OfferedDocumentPerTag":{"properties":{"matchingValues":{"items":{"minItems":1,"type":"string"},"maxItems":500,"type":"array"},"offeredDocuments":{"items":{"$ref":"#/components/schemas/OfferedDocument"},"maxItems":500,"type":"array"},"tagRef":{"type":"string"}},"required":["offeredDocuments","matchingValues","tagRef"],"type":"object","title":"OfferedDocumentPerTag","description":"OfferedDocumentPerTag"},"AlternativeReturnAddressConfiguration":{"additionalProperties":false,"properties":{"alternativeReturnAddressPerTag":{"items":{"$ref":"#/components/schemas/AlternativeReturnAddressPerTag"},"minItems":0,"type":"array"}},"required":["alternativeReturnAddressPerTag"],"title":"AlternativeReturnAddressConfiguration","description":"AlternativeReturnAddressConfiguration"},"AlternativeReturnAddressPerTag":{"additionalProperties":false,"properties":{"alternativeReturnAddress":{"$ref":"#/components/schemas/FacilityAddress"},"matchingValues":{"items":{"type":"string"},"minItems":1,"type":"array"},"tagRef":{"description":"needs to be an existing tag id","type":"string"}},"required":["tagRef","matchingValues","alternativeReturnAddress"],"title":"AlternativeReturnAddressPerTag","description":"AlternativeReturnAddressPerTag"},"FacilityAddress":{"allOf":[{"$ref":"#/components/schemas/FacilityAddressForCreation"},{"properties":{"resolvedTimeZone":{"$ref":"#/components/schemas/TimeZone"}},"type":"object"}],"type":"object","xml":{"name":"FacilityAddress"},"title":"FacilityAddress","description":"FacilityAddress"},"FacilityAddressForCreation":{"allOf":[{"$ref":"#/components/schemas/Address"},{"properties":{"companyName":{"type":"string"},"emailAddresses":{"items":{"properties":{"recipient":{"description":"Human readable information who is the recipient for emails sent to this address.","type":"string"},"value":{"type":"string"}},"required":["value"],"type":"object"},"maxItems":10,"type":"array"},"resolvedCoordinates":{"$ref":"#/components/schemas/Coordinates"},"resolvedTimeZone":{"allOf":[{"$ref":"#/components/schemas/TimeZoneForCreation"}],"description":"User-specified time zone in identifier format (e.g., \"America/Los_Angeles\"). Used to determine local time. Relevant only if the country spans multiple time zones; otherwise, the time zone is automatically determined from the country or via Google if unspecified."}},"required":["companyName"],"type":"object"}],"type":"object","xml":{"name":"FacilityAddressForCreation"},"title":"FacilityAddressForCreation","description":"FacilityAddressForCreation"},"Address":{"properties":{"additionalAddressInfo":{"type":"string"},"city":{"pattern":"^.+$","type":"string"},"country":{"description":"A two-digit country code as per ISO 3166-1 alpha-2","pattern":"^[A-Z]{2}$","type":"string"},"customAttributes":{"description":"Attributes that can be added to the address. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"houseNumber":{"pattern":"^.+$","type":"string"},"phoneNumbers":{"items":{"properties":{"customAttributes":{"description":"Attributes that can be added to the phonenumber. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"label":{"description":"Can be used to give a description for the number, like \"private\", \"business number\", etc.","type":"string"},"type":{"enum":["MOBILE","PHONE"],"type":"string"},"value":{"description":"The number itself. We do not enforce any format (yet).","type":"string"}},"required":["value","type"],"type":"object"},"maxItems":500,"type":"array"},"postalCode":{"pattern":"^.+$","type":"string"},"province":{"pattern":"^.+$","type":"string"},"street":{"pattern":"^.+$","type":"string"}},"required":["street","city","postalCode","country"],"type":"object","title":"Address","description":"Address"},"Coordinates":{"description":"Coordinates of the WGS84 geodetic reference system in Mercator projection, as used e.g. by the Google Maps API","properties":{"lat":{"description":"Latitude value","type":"number"},"lon":{"description":"Longitude value","type":"number"}},"required":["lat","lon"],"type":"object","title":"Coordinates"},"TimeZoneForCreation":{"description":"Self-provided timezone for determining the local time of a facility","properties":{"timeZoneId":{"description":"official id of the timezone","type":"string"}},"required":["timeZoneId"],"type":"object","title":"TimeZoneForCreation"},"TimeZone":{"description":"Timezone for information retrieved e.g. by the Google Maps API","properties":{"offsetInSeconds":{"description":"offset in seconds to standard time. Does not account for daylight saving time.","type":"number"},"source":{"description":"source of the timezone information","type":"string"},"timeZoneId":{"description":"official id of the timezone","type":"string"},"timeZoneName":{"description":"descriptive name of the timezone","type":"string"}},"required":["timeZoneId","timeZoneName","offsetInSeconds"],"type":"object","title":"TimeZone"},"ParcelTagConfiguration":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"},{"$ref":"#/components/schemas/TagConfiguration"}],"properties":{"alternativeReturnAddressConfiguration":{"$ref":"#/components/schemas/AlternativeReturnAddressConfiguration"}},"required":["alternativeReturnAddressConfiguration"],"title":"ParcelTagConfiguration","description":"ParcelTagConfiguration"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/tags/parcel":{"put":{"description":"This part of the API is in Beta status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />Updates the tag configuration for parcels.","operationId":"putParcelTagConfiguration","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ParcelTagConfigurationForUpsert"}}},"description":"Desired Tag Configuration for Parcels","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ParcelTagConfiguration"}}},"description":"The tag configuration was successfully updated."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Invalid input. See response for details"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Update parcel tag config","tags":["Shipments Configuration (Operations)"]}}}}
```

## GET /api/configurations/tags/packjob

> Get pack jobs tag config

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read packing configuration.","name":"Packing Configuration (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"PackJobTagConfiguration":{"allOf":[{"$ref":"#/components/schemas/TagConfiguration"},{"$ref":"#/components/schemas/VersionedResource"},{"properties":{"lineItemStickerConfiguration":{"$ref":"#/components/schemas/StickerConfiguration"},"packJobCreationPerTag":{"description":"All entries with a match in their matchingValues will be combined when determining what documents belong to an entity","items":{"$ref":"#/components/schemas/PackJobCreationPerTag"},"type":"array"},"stickerConfiguration":{"$ref":"#/components/schemas/StickerConfiguration"}}}],"required":["packJobCreationPerTag","version"],"type":"object","title":"PackJobTagConfiguration","description":"PackJobTagConfiguration"},"TagConfiguration":{"properties":{"offeredDocumentsByDefault":{"description":"This configuration is a fallback and applies only if none of the entries in offeredDocumentsPerTag can be applied","items":{"$ref":"#/components/schemas/OfferedDocument"},"maxItems":500,"type":"array"},"offeredDocumentsPerTag":{"description":"All entries with a match in their matchingValues will be combined when determining what documents belong to an entity","items":{"$ref":"#/components/schemas/OfferedDocumentPerTag"},"maxItems":500,"type":"array"}},"required":["offeredDocumentsPerTag","offeredDocumentsByDefault"],"title":"TagConfiguration","description":"TagConfiguration"},"OfferedDocument":{"properties":{"documentCategory":{"$ref":"#/components/schemas/DocumentCategory"}},"required":["documentCategory"],"type":"object","title":"OfferedDocument","description":"OfferedDocument"},"DocumentCategory":{"enum":["EXTERNAL","DELIVERYNOTE","RETURNNOTE","SENDLABEL","RETURNLABEL","TRANSFERLABEL","CUSTOMS"],"type":"string","title":"DocumentCategory","description":"DocumentCategory"},"OfferedDocumentPerTag":{"properties":{"matchingValues":{"items":{"minItems":1,"type":"string"},"maxItems":500,"type":"array"},"offeredDocuments":{"items":{"$ref":"#/components/schemas/OfferedDocument"},"maxItems":500,"type":"array"},"tagRef":{"type":"string"}},"required":["offeredDocuments","matchingValues","tagRef"],"type":"object","title":"OfferedDocumentPerTag","description":"OfferedDocumentPerTag"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"StickerConfiguration":{"additionalProperties":false,"properties":{"offeredStickersByTag":{"items":{"$ref":"#/components/schemas/OfferedStickersByTag"},"maxItems":500,"type":"array"}},"title":"StickerConfiguration","description":"StickerConfiguration"},"OfferedStickersByTag":{"additionalProperties":false,"properties":{"matchingValues":{"items":{"type":"string"},"maxItems":500,"minItems":1,"type":"array"},"stickers":{"items":{"$ref":"#/components/schemas/Sticker"},"maxItems":500,"minItems":1,"type":"array"},"tagRef":{"type":"string"}},"required":["tagRef","matchingValues","stickers"],"type":"object","title":"OfferedStickersByTag","description":"OfferedStickersByTag"},"Sticker":{"additionalProperties":false,"properties":{"nameLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"Dictionary of possible translations, min 1 entry, max 14 characters per description"},"color":{"description":"optional color coding for the sticker","type":"string"},"key":{"description":"unique identifier","type":"string"},"name":{"description":"Translated display name","type":"string"},"priority":{"description":"priority of the given sticker","format":"int64","maximum":10000,"minimum":1,"type":"integer"}},"required":["key","nameLocalized","priority"],"title":"Sticker","description":"Sticker"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/getting-started/authentication-and-authorization/localization","title":"LocaleString","type":"object"},"PackJobCreationPerTag":{"properties":{"matchingValues":{"items":{"minItems":1,"type":"string"},"type":"array"},"packJobCreationDisabled":{"type":"boolean"},"tagRef":{"type":"string"}},"required":["packJobCreationDisabled","matchingValues","tagRef"],"type":"object","title":"PackJobCreationPerTag","description":"PackJobCreationPerTag"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/tags/packjob":{"get":{"description":"","operationId":"getPackJobTagConfiguration","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PackJobTagConfiguration"}}},"description":"Packjob tag config is in response body."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Entity not found"}},"summary":"Get pack jobs tag config","tags":["Packing Configuration (Operations)"]}}}}
```

## PUT /api/configurations/tags/packjob

> Update pack jobs tag config

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read packing configuration.","name":"Packing Configuration (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"PackJobTagConfiguration":{"allOf":[{"$ref":"#/components/schemas/TagConfiguration"},{"$ref":"#/components/schemas/VersionedResource"},{"properties":{"lineItemStickerConfiguration":{"$ref":"#/components/schemas/StickerConfiguration"},"packJobCreationPerTag":{"description":"All entries with a match in their matchingValues will be combined when determining what documents belong to an entity","items":{"$ref":"#/components/schemas/PackJobCreationPerTag"},"type":"array"},"stickerConfiguration":{"$ref":"#/components/schemas/StickerConfiguration"}}}],"required":["packJobCreationPerTag","version"],"type":"object","title":"PackJobTagConfiguration","description":"PackJobTagConfiguration"},"TagConfiguration":{"properties":{"offeredDocumentsByDefault":{"description":"This configuration is a fallback and applies only if none of the entries in offeredDocumentsPerTag can be applied","items":{"$ref":"#/components/schemas/OfferedDocument"},"maxItems":500,"type":"array"},"offeredDocumentsPerTag":{"description":"All entries with a match in their matchingValues will be combined when determining what documents belong to an entity","items":{"$ref":"#/components/schemas/OfferedDocumentPerTag"},"maxItems":500,"type":"array"}},"required":["offeredDocumentsPerTag","offeredDocumentsByDefault"],"title":"TagConfiguration","description":"TagConfiguration"},"OfferedDocument":{"properties":{"documentCategory":{"$ref":"#/components/schemas/DocumentCategory"}},"required":["documentCategory"],"type":"object","title":"OfferedDocument","description":"OfferedDocument"},"DocumentCategory":{"enum":["EXTERNAL","DELIVERYNOTE","RETURNNOTE","SENDLABEL","RETURNLABEL","TRANSFERLABEL","CUSTOMS"],"type":"string","title":"DocumentCategory","description":"DocumentCategory"},"OfferedDocumentPerTag":{"properties":{"matchingValues":{"items":{"minItems":1,"type":"string"},"maxItems":500,"type":"array"},"offeredDocuments":{"items":{"$ref":"#/components/schemas/OfferedDocument"},"maxItems":500,"type":"array"},"tagRef":{"type":"string"}},"required":["offeredDocuments","matchingValues","tagRef"],"type":"object","title":"OfferedDocumentPerTag","description":"OfferedDocumentPerTag"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"StickerConfiguration":{"additionalProperties":false,"properties":{"offeredStickersByTag":{"items":{"$ref":"#/components/schemas/OfferedStickersByTag"},"maxItems":500,"type":"array"}},"title":"StickerConfiguration","description":"StickerConfiguration"},"OfferedStickersByTag":{"additionalProperties":false,"properties":{"matchingValues":{"items":{"type":"string"},"maxItems":500,"minItems":1,"type":"array"},"stickers":{"items":{"$ref":"#/components/schemas/Sticker"},"maxItems":500,"minItems":1,"type":"array"},"tagRef":{"type":"string"}},"required":["tagRef","matchingValues","stickers"],"type":"object","title":"OfferedStickersByTag","description":"OfferedStickersByTag"},"Sticker":{"additionalProperties":false,"properties":{"nameLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"Dictionary of possible translations, min 1 entry, max 14 characters per description"},"color":{"description":"optional color coding for the sticker","type":"string"},"key":{"description":"unique identifier","type":"string"},"name":{"description":"Translated display name","type":"string"},"priority":{"description":"priority of the given sticker","format":"int64","maximum":10000,"minimum":1,"type":"integer"}},"required":["key","nameLocalized","priority"],"title":"Sticker","description":"Sticker"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/getting-started/authentication-and-authorization/localization","title":"LocaleString","type":"object"},"PackJobCreationPerTag":{"properties":{"matchingValues":{"items":{"minItems":1,"type":"string"},"type":"array"},"packJobCreationDisabled":{"type":"boolean"},"tagRef":{"type":"string"}},"required":["packJobCreationDisabled","matchingValues","tagRef"],"type":"object","title":"PackJobCreationPerTag","description":"PackJobCreationPerTag"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/tags/packjob":{"put":{"description":"","operationId":"putPackJobTagConfiguration","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PackJobTagConfiguration"}}},"description":"Desired PackJobTagConfiguration","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PackJobTagConfiguration"}}},"description":"The packing configuration was successfully updated."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Invalid input. See response for details"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Update pack jobs tag config","tags":["Packing Configuration (Operations)"]}}}}
```

## GET /api/configurations/tags/pickjob

> Get pick job tag config

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read pick jobs.","name":"Picking Configuration (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"PickJobTagConfiguration":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"lineItemScanningConfiguration":{"$ref":"#/components/schemas/TagScanningConfiguration"},"lineItemStickerConfiguration":{"$ref":"#/components/schemas/StickerConfiguration"},"offeredDocumentsByDefault":{"description":"This configuration is a fallback and applies only if none of the entries in offeredDocumentsPerTag can be applied","items":{"$ref":"#/components/schemas/OfferedDocument"},"type":"array"},"offeredDocumentsPerTag":{"description":"All entries with a match in their matchingValues will be combined when determining what documents belong to an entity","items":{"$ref":"#/components/schemas/OfferedDocumentPerTag"},"type":"array"},"preferredPickingMethodsConfiguration":{"$ref":"#/components/schemas/PreferredPickingMethodsConfiguration"},"stickerConfiguration":{"$ref":"#/components/schemas/StickerConfiguration"}},"required":["offeredDocumentsPerTag","offeredDocumentsByDefault"],"title":"PickJobTagConfiguration","description":"PickJobTagConfiguration"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"TagScanningConfiguration":{"additionalProperties":false,"properties":{"offeredScanningRuleByTag":{"items":{"$ref":"#/components/schemas/OfferedScanningRuleByTag"},"type":"array"}},"title":"TagScanningConfiguration","description":"TagScanningConfiguration"},"OfferedScanningRuleByTag":{"additionalProperties":false,"properties":{"matchingValues":{"items":{"type":"string"},"minItems":1,"type":"array"},"scanningType":{"$ref":"#/components/schemas/PickingScanningConfigurationEnum"},"tagRef":{"minLength":1,"type":"string"}},"required":["tagRef","matchingValues","scanningType"],"type":"object","title":"OfferedScanningRuleByTag","description":"OfferedScanningRuleByTag"},"PickingScanningConfigurationEnum":{"description":"Way in which the scanning of articles during picking is enforced","enum":["MUST_SCAN_FIRST","MUST_SCAN_EACH","SCAN_NOT_REQUIRED"],"type":"string","title":"PickingScanningConfigurationEnum"},"StickerConfiguration":{"additionalProperties":false,"properties":{"offeredStickersByTag":{"items":{"$ref":"#/components/schemas/OfferedStickersByTag"},"maxItems":500,"type":"array"}},"title":"StickerConfiguration","description":"StickerConfiguration"},"OfferedStickersByTag":{"additionalProperties":false,"properties":{"matchingValues":{"items":{"type":"string"},"maxItems":500,"minItems":1,"type":"array"},"stickers":{"items":{"$ref":"#/components/schemas/Sticker"},"maxItems":500,"minItems":1,"type":"array"},"tagRef":{"type":"string"}},"required":["tagRef","matchingValues","stickers"],"type":"object","title":"OfferedStickersByTag","description":"OfferedStickersByTag"},"Sticker":{"additionalProperties":false,"properties":{"nameLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"Dictionary of possible translations, min 1 entry, max 14 characters per description"},"color":{"description":"optional color coding for the sticker","type":"string"},"key":{"description":"unique identifier","type":"string"},"name":{"description":"Translated display name","type":"string"},"priority":{"description":"priority of the given sticker","format":"int64","maximum":10000,"minimum":1,"type":"integer"}},"required":["key","nameLocalized","priority"],"title":"Sticker","description":"Sticker"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/getting-started/authentication-and-authorization/localization","title":"LocaleString","type":"object"},"OfferedDocument":{"properties":{"documentCategory":{"$ref":"#/components/schemas/DocumentCategory"}},"required":["documentCategory"],"type":"object","title":"OfferedDocument","description":"OfferedDocument"},"DocumentCategory":{"enum":["EXTERNAL","DELIVERYNOTE","RETURNNOTE","SENDLABEL","RETURNLABEL","TRANSFERLABEL","CUSTOMS"],"type":"string","title":"DocumentCategory","description":"DocumentCategory"},"OfferedDocumentPerTag":{"properties":{"matchingValues":{"items":{"minItems":1,"type":"string"},"maxItems":500,"type":"array"},"offeredDocuments":{"items":{"$ref":"#/components/schemas/OfferedDocument"},"maxItems":500,"type":"array"},"tagRef":{"type":"string"}},"required":["offeredDocuments","matchingValues","tagRef"],"type":"object","title":"OfferedDocumentPerTag","description":"OfferedDocumentPerTag"},"PreferredPickingMethodsConfiguration":{"properties":{"PreferredPickingMethodsPerTag":{"items":{"$ref":"#/components/schemas/PreferredPickingMethodsPerTag"},"type":"array"}},"title":"PreferredPickingMethodsConfiguration","description":"PreferredPickingMethodsConfiguration"},"PreferredPickingMethodsPerTag":{"additionalProperties":false,"properties":{"matchingValues":{"items":{"type":"string"},"minItems":1,"type":"array"},"pickingMethods":{"items":{"$ref":"#/components/schemas/PickingMethodEnum"},"minItems":1,"type":"array"},"tagRef":{"type":"string"}},"required":["tagRef","pickingMethods","matchingValues"],"title":"PreferredPickingMethodsPerTag","description":"PreferredPickingMethodsPerTag"},"PickingMethodEnum":{"description":"Way in which the picking should be handled Deprecated: BATCH_PICKING, use BATCH instead","enum":["SINGLE_ORDER","MULTI_ORDER","BATCH_PICKING","BATCH"],"type":"string","title":"PickingMethodEnum"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/tags/pickjob":{"get":{"description":"","operationId":"getPickJobTagConfiguration","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PickJobTagConfiguration"}}},"description":"pickjob tag config is in response body."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Entity not found"}},"summary":"Get pick job tag config","tags":["Picking Configuration (Operations)"]}}}}
```

## GET /api/configurations/tags/handoverjob

> Get handover jobs tag config

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read handover configuration.","name":"Handovers Configuration (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"HandoverJobTagConfiguration":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"},{"$ref":"#/components/schemas/TagConfiguration"}],"properties":{"stickerConfiguration":{"$ref":"#/components/schemas/StickerConfiguration"}},"title":"HandoverJobTagConfiguration","description":"HandoverJobTagConfiguration"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"TagConfiguration":{"properties":{"offeredDocumentsByDefault":{"description":"This configuration is a fallback and applies only if none of the entries in offeredDocumentsPerTag can be applied","items":{"$ref":"#/components/schemas/OfferedDocument"},"maxItems":500,"type":"array"},"offeredDocumentsPerTag":{"description":"All entries with a match in their matchingValues will be combined when determining what documents belong to an entity","items":{"$ref":"#/components/schemas/OfferedDocumentPerTag"},"maxItems":500,"type":"array"}},"required":["offeredDocumentsPerTag","offeredDocumentsByDefault"],"title":"TagConfiguration","description":"TagConfiguration"},"OfferedDocument":{"properties":{"documentCategory":{"$ref":"#/components/schemas/DocumentCategory"}},"required":["documentCategory"],"type":"object","title":"OfferedDocument","description":"OfferedDocument"},"DocumentCategory":{"enum":["EXTERNAL","DELIVERYNOTE","RETURNNOTE","SENDLABEL","RETURNLABEL","TRANSFERLABEL","CUSTOMS"],"type":"string","title":"DocumentCategory","description":"DocumentCategory"},"OfferedDocumentPerTag":{"properties":{"matchingValues":{"items":{"minItems":1,"type":"string"},"maxItems":500,"type":"array"},"offeredDocuments":{"items":{"$ref":"#/components/schemas/OfferedDocument"},"maxItems":500,"type":"array"},"tagRef":{"type":"string"}},"required":["offeredDocuments","matchingValues","tagRef"],"type":"object","title":"OfferedDocumentPerTag","description":"OfferedDocumentPerTag"},"StickerConfiguration":{"additionalProperties":false,"properties":{"offeredStickersByTag":{"items":{"$ref":"#/components/schemas/OfferedStickersByTag"},"maxItems":500,"type":"array"}},"title":"StickerConfiguration","description":"StickerConfiguration"},"OfferedStickersByTag":{"additionalProperties":false,"properties":{"matchingValues":{"items":{"type":"string"},"maxItems":500,"minItems":1,"type":"array"},"stickers":{"items":{"$ref":"#/components/schemas/Sticker"},"maxItems":500,"minItems":1,"type":"array"},"tagRef":{"type":"string"}},"required":["tagRef","matchingValues","stickers"],"type":"object","title":"OfferedStickersByTag","description":"OfferedStickersByTag"},"Sticker":{"additionalProperties":false,"properties":{"nameLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"Dictionary of possible translations, min 1 entry, max 14 characters per description"},"color":{"description":"optional color coding for the sticker","type":"string"},"key":{"description":"unique identifier","type":"string"},"name":{"description":"Translated display name","type":"string"},"priority":{"description":"priority of the given sticker","format":"int64","maximum":10000,"minimum":1,"type":"integer"}},"required":["key","nameLocalized","priority"],"title":"Sticker","description":"Sticker"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/getting-started/authentication-and-authorization/localization","title":"LocaleString","type":"object"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/tags/handoverjob":{"get":{"description":"","operationId":"getHandoverJobTagConfiguration","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HandoverJobTagConfiguration"}}},"description":"handoverJob tag config is in response body."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Entity not found"}},"summary":"Get handover jobs tag config","tags":["Handovers Configuration (Operations)"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.fulfillmenttools.com/documentation/getting-started/tags/tag-configurations-endpoints.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
